Macaulay2 » Documentation
Packages » MultiprojectiveVarieties :: isSubset(MultiprojectiveVariety,MultiprojectiveVariety)
next | previous | forward | backward | up | index | toc

# isSubset(MultiprojectiveVariety,MultiprojectiveVariety) -- whether one variety is a subvariety of another

- Function: isSubset
- Usage:
    `isSubset(X,Y)`
- Inputs:
  - X, a multi-projective variety
  - Y, a multi-projective variety
- Outputs:
  - a Boolean value, whether X is contained in Y

## Description

    i1 : Y = PP_(ZZ/33331)^(2,2);

    o1 : ProjectiveVariety, surface in PP^5

    i2 : X = point Y;

    o2 : ProjectiveVariety, a point in PP^5

    i3 : isSubset(X,Y)

    o3 = true

    i4 : isSubset(Y,X)

    o4 = false

## Ways to use this method:

- isSubset(MultiprojectiveVariety,MultiprojectiveVariety) -- whether one variety is a subvariety of another

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MultiprojectiveVarieties.m2:2682:0.